summaryrefslogtreecommitdiffstats
path: root/update_jdn.sh
diff options
context:
space:
mode:
authorPhilip Hands <phil@hands.com>2015-11-21 17:46:05 +0000
committerHolger Levsen <holger@layer-acht.org>2015-12-11 17:59:38 +0100
commit2c5973ddce09deb670fca3896cd7f32cd912cb4b (patch)
treee8509a20074a61c8d1658ee356089145ccc2df10 /update_jdn.sh
parent7278033f9ae9f2ced89c1801cb4e6b134913684d (diff)
downloadjenkins.debian.net-2c5973ddce09deb670fca3896cd7f32cd912cb4b.tar.xz
set -e
Diffstat (limited to 'update_jdn.sh')
-rwxr-xr-xupdate_jdn.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/update_jdn.sh b/update_jdn.sh
index 2de1d31a..7600db2f 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -1,5 +1,7 @@
#!/bin/bash
+set -e
+
# Copyright 2012-2015 Holger Levsen <holger@layer-acht.org>
# released under the GPLv=2
@@ -493,7 +495,7 @@ fi
# There's always some work left...
# echo FIXME is ignored so check-jobs scripts can output templates requiring manual work
#
-rgrep FI[X]ME $BASEDIR/* | grep -v echo > $TMPFILE
+rgrep FI[X]ME $BASEDIR/* | grep -v echo > $TMPFILE || true
if [ -s $TMPFILE ] ; then
echo
cat $TMPFILE